//*****************Misc*******************************
textures/boc_wq3/misc_fern
{
	surfaceparm alphashadow
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm nolightmap
	deformVertexes wave 256 sin .25 .25 .25 .125
	cull disable
	nopicmip
	{
		map textures/boc_wq3/misc_fern.tga
		rgbGen vertex
		depthWrite
		alphaFunc GE128
	}
}

textures/boc_wq3/misc_web1
{
	surfaceparm alphashadow
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm nolightmap
	cull disable
	nopicmip
	{
		map textures/boc_wq3/misc_web1.tga
		rgbGen vertex
		depthWrite
		alphaFunc GE128
	}
}

textures/boc_wq3/misc_web2
{
	surfaceparm alphashadow
	surfaceparm nonsolid
	surfaceparm trans
	deformVertexes wave 256 sin .5 .5 .5 .25
	cull disable
	nopicmip
	{
		map textures/boc_wq3/misc_web2.tga
		rgbGen vertex
		depthWrite
		alphaFunc GE128
	}
}

textures/boc_wq3/cloth_music
{
	{
		map textures/boc_wq3/cloth_music.tga
		tcMod scroll -0.5 0
		rgbGen vertex
	}
}


textures/boc_wq3/boc_sno
{
	surfaceparm nonsolid
	surfaceparm trans
	cull disable
	nopicmip	


	{
		map textures/boc_wq3/boc_sno.tga
		blendfunc add
		tcMod scroll 0.5 -2
		tcMod turb 0 0.1 0 .1
	}
}

//*******************Alpha Stuff*****************************
textures/boc_wq3/boc_alpha_00
{
	qer_editorimage textures/boc_wq3/boc_alpha_00.jpg
	qer_trans 0.75
	q3map_alphamod volume
	q3map_alphamod set 0
	surfaceparm nonsolid
	surfaceparm nodraw
	surfaceparm trans
}

textures/boc_wq3/boc_alpha_25
{
	qer_editorimage textures/boc_wq3/boc_alpha_25.jpg
	qer_trans 0.75
	q3map_alphamod volume
	q3map_alphamod set .25
	surfaceparm nonsolid
	surfaceparm nodraw
	surfaceparm trans
}

textures/boc_wq3/boc_alpha_50
{
	qer_editorimage textures/boc_wq3/boc_alpha_50.jpg
	qer_trans 0.75
	q3map_alphamod volume
	q3map_alphamod set .5
	surfaceparm nonsolid
	surfaceparm nodraw
	surfaceparm trans
}

textures/boc_wq3/boc_alpha_75
{
	qer_editorimage textures/boc_wq3/boc_alpha_75.jpg
	qer_trans 0.75
	q3map_alphamod volume
	q3map_alphamod set .75
	surfaceparm nonsolid
	surfaceparm nodraw
	surfaceparm trans
}

textures/boc_wq3/boc_alpha_100
{
	qer_editorimage textures/boc_wq3/boc_alpha_100.jpg
	qer_trans 0.75
	q3map_alphamod volume
	q3map_alphamod set 1
	surfaceparm nonsolid
	surfaceparm nodraw
	surfaceparm trans
}

//grass>dirt
textures/boc_wq3/grass_dirt
{
	qer_editorimage textures/boc_wq3/grass_dirt.jpg
	q3map_nonplanar
	q3map_shadeAngle 120
	q3map_tcGen ivector ( 256 0 0 ) ( 0 256 0 )
	q3map_lightmapAxis z 
	{
	map textures/boc_wq3/grass_grassfade.tga	
	rgbGen identity
	}

	{
	map textures/boc_wq3/dirt_floor1.tga	
	blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
	rgbGen identity
	alphaGen oneminusvertex
	}

	{
	map $lightmap
	blendFunc GL_DST_COLOR GL_ZERO
	rgbGen identity
	tcGen lightmap
	}
}

textures/boc_wq3/grass_grassfade
{
	qer_editorimage textures/boc_wq3/grass_grassfade.tga
	q3map_nonplanar
	q3map_shadeAngle 120
	q3map_tcGen ivector ( 256 0 0 ) ( 0 256 0 )
	q3map_lightmapAxis z 
	{
	map textures/boc_wq3/grass_grassfade.tga	
	rgbGen identity
	}

	{
	map $lightmap
	blendFunc GL_DST_COLOR GL_ZERO
	rgbGen identity
	tcGen lightmap
	}
}

//snow>dirt
textures/boc_wq3/snow_dirt
{
	qer_editorimage textures/boc_wq3/snow_dirt.jpg
	q3map_nonplanar
	q3map_shadeAngle 120
	q3map_tcGen ivector ( 256 0 0 ) ( 0 256 0 )
	q3map_lightmapAxis z 
	{
	map textures/boc_wq3/snow_snow1fade.tga	
	rgbGen identity
	}

	{
	map textures/boc_wq3/dirt_floor1.tga
	blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
	rgbGen identity
	alphaGen oneminusvertex
	}

	{
	map $lightmap
	blendFunc GL_DST_COLOR GL_ZERO
	rgbGen identity
	tcGen lightmap
	}
}

textures/boc_wq3/snow_snow1fade
{
	qer_editorimage textures/boc_wq3/snow_snow1fade.tga
	q3map_nonplanar
	q3map_shadeAngle 120
	q3map_tcGen ivector ( 256 0 0 ) ( 0 256 0 )
	q3map_lightmapAxis z 
	{
	map textures/boc_wq3/snow_snow1fade.tga
	rgbGen identity
	}

	{
	map $lightmap
	blendFunc GL_DST_COLOR GL_ZERO
	rgbGen identity
	tcGen lightmap
	}
}

textures/boc_wq3/grass_phong
{
	q3map_nonplanar
	q3map_shadeangle 60
	qer_editorimage textures/boc_wq3/grass_phong.jpg
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/boc_wq3/grass_grassfade.tga
		blendFunc filter
	}
}

textures/boc_wq3/snow_phong
{
	q3map_nonplanar
	q3map_shadeangle 60
	qer_editorimage textures/boc_wq3/snow_phong.jpg
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/boc_wq3/snow_snow1fade.tga
		blendFunc filter
	}
}


//************sky Box*************************
textures/boc_wq3/snorock
{
	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm sky
	q3map_lightimage textures/skies/stars.tga
	q3map_sun 0.5 0.5 1 30 -58 58
	q3map_surfacelight 15
	skyparms env/snorock - -
}

//**********Light********************
textures/boc_wq3/glass_boclamp
{

	q3map_surfacelight	1500
	q3map_lightimage	textures/boc_wq3/yellow.jpg
	{
		map $lightmap 
		rgbGen identity
		tcGen lightmap 
	}
	{
		map textures/wq3_glass/glass_lamp.tga
		blendfunc filter
		rgbGen identity
	}
	{
		map textures/wq3_glass/glass_lamp.blend.tga
		blendfunc add
	}
}

textures/boc_wq3/light
{
	qer_editorimage textures/boc_wq3/yellow
	surfaceparm nonsolid
	surfaceparm trans
	q3map_surfacelight 3000
	q3map_lightimage	textures/boc_wq3/yellow.jpg
	{
		map \textures\Wq3_Sfx\black.jpg
		blendfunc add
	}
}